## python-build 0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXAPIDOC  ?= sphinx-apidoc
SOURCEDIR     = source
BUILDDIR      = build
SRCBUILDDIR   = srcbuild
MODULEDIR     = ../src/build
SRCDIR        = ../src

.DEFAULT_GOAL := html

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SRCBUILDDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help apidoc Makefile

apidoc:
	@$(SPHINXAPIDOC) -f -e -o "$(SRCBUILDDIR)" "$(MODULEDIR)"

clean:
	@$(SPHINXBUILD) -M $@ "$(SRCBUILDDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	rm -rf $(SRCBUILDDIR)/*

coverage: Makefile apidoc
	cp -r "$(SOURCEDIR)"/* "$(SRCBUILDDIR)"
	sed -i /:undoc-members:/d "$(SRCBUILDDIR)"/$(notdir $(MODULEDIR))*.rst
	@$(SPHINXBUILD) -M $@ "$(SRCBUILDDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile apidoc
	cp -r "$(SOURCEDIR)"/* "$(SRCBUILDDIR)"
	@PYTHONPATH=$(SRCDIR) $(SPHINXBUILD) -M $@ "$(SRCBUILDDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx==3.*
sphinx-autodoc-typehints
sphinxcontrib.autoprogram
furo

=== debian/changelog ===
python-build (0.1.0-3) unstable; urgency=medium

  * d/control: Update Vcs-* fields.
  * d/control: Make python3-build depend on python3-pip. (Closes: #978674)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Apr 2021 19:52:08 -0400

python-build (0.1.0-2) unstable; urgency=medium

  * Source-only upload to make the package migrate.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 06 Dec 2020 18:08:09 -0500

python-build (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #976629).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 06 Dec 2020 18:07:25 -0500

=== debian/control ===
Source: python-build
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: debhelper-compat (= 13),
	       dh-python,
	       python3-setuptools,
	       python3-all,
	       python3-packaging,
	       python3-pep517 (>= 0.9),
	       python3-toml,
	       python3-sphinx <!nodoc>,
	       python3-sphinx-autodoc-typehints <!nodoc>,
	       python3-sphinxcontrib.autoprogram <!nodoc>,
	       python3-pytest <!nocheck>,
	       python3-pytest-mock <!nocheck>,
	       python3-pytest-cov <!nocheck>,
	       python3-filelock <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/pypa/build
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
Vcs-Git: https://salsa.debian.org/python-team/packages/python-build.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-build
Architecture: all
Depends: ${python3:Depends},
	 ${misc:Depends},
	 python3-packaging,
	 python3-pep517 (>= 0.9),
	 python3-toml,
	 python3-pip,
Suggests: python-build-doc
Description: Simple, correct PEP517 package builder (Python 3)
 python-build will invoke the PEP 517 hooks to build a distribution
 package. It is a simple build tool and does not perform any
 dependency management.
 .
 This package installs the library for Python 3.

Package: python-build-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple, correct PEP517 package builder (common documentation)
 python-build will invoke the PEP 517 hooks to build a distribution
 package. It is a simple build tool and does not perform any
 dependency management.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=build

# These tests explicitly invoke "pip install".
export PYBUILD_TEST_ARGS = --ignore=tests/test_env.py \
	-k 'not test_build_isolated and not test_build_raises_build_exception and not test_build_raises_build_backend_exception'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/src/ http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 python3 -m sphinx -N -bhtml \
	docs/source/ build/html # HTML generator
	PYTHONPATH=$(CURDIR)/src/ http_proxy=127.0.0.1:9 \
	https_proxy=127.0.0.1:9 python3 -m sphinx -N -bman \
	docs/source/ build/man # Manpage generator
	mv build/man/build.1 build/man/pyproject-build.1

=== debian/watch ===
version=4
https://pypi.debian.net/build/build-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-build 0.7.0

=== debian/changelog ===
python-build (0.7.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 16:37:45 -0700

python-build (0.7.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:31:38 -0400

python-build (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Update python3-build depends: (Closes: 988085)
    - Add missing Depends on python3-wheel
    - Move python3-pip and python3-venv to suggests

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Dec 2021 19:20:52 -0500

python-build (0.7.0-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * New upstream release.
  * refresh docs patch
  * fix path to docs
  * disable docs build: missing dependency.
    Upstream added sphinx-argparse-cli as a dependency, which is not
    packaged in Debian.
  * add new deps for test suite

  [ Sergio Durigan Junior ]
  * Disable build-time tests.
    - d/control: Remove test-only Build-Depends.
    - d/rules: Override dh_auto_test and disable build-time tests.  Most
      of this package's tests require internet and rely on "pip install",
      which is not suitable nor allowed on Debian.
  * d/control: Remove documentation-related Build-Depends.
  * Further remove documentation-related bits.
    - d/rules: Don't invoke dh with sphinxdoc.
    - d/python-build-doc.doc-base: Remove file.
    - d/python-build-doc.docs: Likewise.
    - d/python3-build.manpages: Likewise.
  * d/control: Bump Standards-Version to 4.6.0.1.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 23 Oct 2021 16:28:25 -0400

=== debian/control ===
Source: python-build
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-packaging,
               python3-pep517 (>= 0.9),
               python3-setuptools,
               python3-toml
Standards-Version: 4.6.0.1
Homepage: https://github.com/pypa/build
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
Vcs-Git: https://salsa.debian.org/python-team/packages/python-build.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-build
Architecture: all
Depends: python3-packaging,
         python3-pep517 (>= 0.9),
         python3-toml,
         python3-wheel,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-pip, python3-venv
Description: Simple, correct PEP517 package builder (Python 3)
 python-build will invoke the PEP 517 hooks to build a distribution
 package. It is a simple build tool and does not perform any
 dependency management.
 .
 This package installs the library for Python 3.

## python-build 0.9.0

=== debian/changelog ===
python-build (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/p/debian-sysconfig-layouts.patch: Remove; incorporated by upstream.
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/copyright: Update year.
  * d/copyright: Remove empty Upstream-Contact.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Dec 2022 00:09:43 -0500

python-build (0.7.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 04:20:50 +0100

python-build (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Patch: Handle Debian's default posix_local sysconfig layout.
    (Closes: #1009916)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 Apr 2022 17:53:21 -0400

=== debian/control ===
Source: python-build
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: debhelper-compat (= 13),
	       dh-python,
	       python3-setuptools,
	       python3-all,
	       python3-packaging,
	       python3-pep517 (>= 0.9),
	       python3-toml,
Standards-Version: 4.6.2
Homepage: https://github.com/pypa/build
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
Vcs-Git: https://salsa.debian.org/python-team/packages/python-build.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-build
Architecture: all
Depends: ${python3:Depends},
	 ${misc:Depends},
	 python3-packaging,
	 python3-pep517 (>= 0.9),
	 python3-toml,
	 python3-wheel,
Suggests: python3-pip,
	  python3-venv,
Description: Simple, correct PEP517 package builder (Python 3)
 python-build will invoke the PEP 517 hooks to build a distribution
 package. It is a simple build tool and does not perform any
 dependency management.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=build

%:
	dh $@ --with python3 --buildsystem=pybuild

# Unfortunately, python-build's testsuite relies heavily on "pip
# install" and other network-related operations, which are not not
# allowed during build time.
#
# Although not all tests are affected by this, it is becoming more and
# more difficult to maintain a list of tests that should be disabled
# because of this issue.  For this reason, and in order to keep the
# maintenance burden low, we decided to disable running these tests
# during build time.
#
# TODO: Create a dep8 test that runs the entire upstream testsuite.
override_dh_auto_test:

## python-build 0.10.0

=== debian/changelog ===
python-build (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 0.10.0

 -- Scott Talbert <swt@techie.net>  Wed, 02 Aug 2023 00:00:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       dh-python,
-	       python3-setuptools,
+	       flit (>= 3.4),
 	       python3-all,
 	       python3-packaging,
-	       python3-pep517 (>= 0.9),
+	       python3-pyproject-hooks,
 	       python3-toml,
 Standards-Version: 4.6.2
 Homepage: https://github.com/pypa/build
@@ -22,7 +22,7 @@
 Depends: ${python3:Depends},
 	 ${misc:Depends},
 	 python3-packaging,
-	 python3-pep517 (>= 0.9),
+	 python3-pyproject-hooks,
 	 python3-toml,
 	 python3-wheel,
 Suggests: python3-pip,

## python-build 1.0.3

=== debian/changelog ===
python-build (1.0.3-2) unstable; urgency=medium

  * Source-only upload.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 31 Jan 2024 17:55:16 -0500

python-build (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * d/rules: Fix typo.
  * Build and ship documentation.
    - d/control: Add B-Ds for building docs.  New package
      python3-build-doc.  Make python3-build suggest python3-build-doc.
    - d/python3-build-doc.doc-base: Add doc-base.
    - d/python3-build-doc.docs: Ship HTML documentation.
    - d/python3-build.manpages: Ship pyproject-build manpage.
    - d/rules: Build HTML and manpages using Sphinx.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 30 Jan 2024 13:54:15 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,12 @@
 	       python3-packaging,
 	       python3-pyproject-hooks,
 	       python3-toml,
+	       dh-sequence-sphinxdoc <!nodoc>,
+	       python3-sphinx <!nodoc>,
+	       python3-sphinx-autodoc-typehints <!nodoc>,
+	       python3-sphinx-argparse-cli <!nodoc>,
+	       python3-sphinx-issues <!nodoc>,
+	       furo <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/pypa/build
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
@@ -27,9 +33,22 @@
 	 python3-wheel,
 Suggests: python3-pip,
 	  python3-venv,
+	  python-build-doc,
 Description: Simple, correct PEP517 package builder (Python 3)
  python-build will invoke the PEP 517 hooks to build a distribution
  package. It is a simple build tool and does not perform any
  dependency management.
  .
  This package installs the library for Python 3.
+
+Package: python3-build-doc
+Architecture: all
+Section: doc
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
+Description: Simple, correct PEP517 package builder (documentation)
+ python-build will invoke the PEP 517 hooks to build a distribution
+ package. It is a simple build tool and does not perform any
+ dependency management.
+ .
+ This is the documentation package.

## python-build 1.1.1

=== debian/changelog ===
python-build (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * d/control: B-D on pybuild-plugin-pyproject.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 10 Mar 2024 22:31:09 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	       python3-all,
 	       python3-packaging,
 	       python3-pyproject-hooks,
+	       pybuild-plugin-pyproject,
 	       python3-toml,
 	       dh-sequence-sphinxdoc <!nodoc>,
 	       python3-sphinx <!nodoc>,

## python-build 1.2.1

=== debian/changelog ===
python-build (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1 (Closes: #1070315)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 03 May 2024 13:11:20 -0400

## python-build 1.2.2

=== debian/changelog ===
python-build (1.2.2-4) unstable; urgency=medium

  * Team Upload
  * Release to sid

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Aug 2025 15:23:53 +0200

python-build (1.2.2-3) experimental; urgency=medium

  * Team Upload to NEW/experimental
  * Fix misnamed -doc package
  * Copyright review

 -- Alexandre Detiste <tchet@debian.org>  Fri, 16 May 2025 12:49:22 +0200

python-build (1.2.2-2) unstable; urgency=medium

  * Team Upload
  * Drop explicit dependency on old python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 15:03:01 +0200

python-build (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/control: Bump Standards-Version to 4.7.0; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Sep 2024 00:20:21 -0400

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,19 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
+	       dh-sequence-python3,
 	       flit (>= 3.4),
 	       python3-all,
 	       python3-packaging,
 	       python3-pyproject-hooks,
 	       pybuild-plugin-pyproject,
-	       python3-toml,
 	       dh-sequence-sphinxdoc <!nodoc>,
 	       python3-sphinx <!nodoc>,
 	       python3-sphinx-autodoc-typehints <!nodoc>,
 	       python3-sphinx-argparse-cli <!nodoc>,
 	       python3-sphinx-issues <!nodoc>,
 	       furo <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/pypa/build
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-build.git
@@ -30,7 +29,6 @@
 	 ${misc:Depends},
 	 python3-packaging,
 	 python3-pyproject-hooks,
-	 python3-toml,
 	 python3-wheel,
 Suggests: python3-pip,
 	  python3-venv,
@@ -42,7 +40,7 @@
  .
  This package installs the library for Python 3.
 
-Package: python3-build-doc
+Package: python-build-doc
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,24 @@
 
 export PYBUILD_NAME=build
 
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+export PYBUILD_AFTER_BUILD = \
+	PYTHONPATH={build_dir} \
+	http_proxy='127.0.0.1:9' \
+		{interpreter} -m sphinx -N -bhtml \
+		./docs/ ./docs/_build/html/ ; \
+	PYTHONPATH={build_dir} \
+	http_proxy='127.0.0.1:9' \
+		{interpreter} -m sphinx -N -bman \
+		./docs/ ./docs/_build/man/ ; \
+	mv -v ./docs/_build/man/build.1 ./docs/_build/man/pyproject-build.1
+endif
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # Unfortunately, python-build's testsuite relies heavily on "pip
-# install" and other network-related operations, which are not not
+# install" and other network-related operations, which are not
 # allowed during build time.
 #
 # Although not all tests are affected by this, it is becoming more and

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://github.com/pypa/build/tags .*/archive/refs/tags/v?((?:\d+\.?)*)\.tar\.gz

## python-build 1.4.0

=== debian/changelog ===
python-build (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 22 Feb 2026 13:26:12 +0000

python-build (1.2.2-5) unstable; urgency=medium

  * Team Upload
  * Rebuild against today's dh-python as an attempt to
    remove python-tomli from the key_packages list
  * Rewrite d/watch in v5 format
  * Disable useless Salsa CI jobs
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Jan 2026 22:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-build
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       dh-sequence-python3,
-	       flit (>= 3.4),
+	       flit (>= 3.11),
 	       python3-all,
 	       python3-packaging,
 	       python3-pyproject-hooks,
@@ -16,12 +15,11 @@
 	       python3-sphinx-argparse-cli <!nodoc>,
 	       python3-sphinx-issues <!nodoc>,
 	       furo <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pypa/build
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-build
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-build.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-build
 Architecture: all
